using System;

internal sealed class Delegate316 : MulticastDelegate
{
	public extern void Invoke(object object_0, string string_0);

	public static void smethod_0(object object_0, string string_0, Delegate316 delegate316_1)
	{
		delegate316_1(object_0, string_0);
	}

	public extern Delegate316(object object_0, IntPtr intptr_0);

	static Delegate316()
	{
		Class10.smethod_13(typeof(Delegate316).TypeHandle);
	}

	internal static Delegate316 delegate316_0;
}
